List restock plan items
curl --request GET \
--url https://app.solya.app/api/restock-plans/{planId}/items \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.solya.app/api/restock-plans/{planId}/items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.solya.app/api/restock-plans/{planId}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.solya.app/api/restock-plans/{planId}/items",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.solya.app/api/restock-plans/{planId}/items"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.solya.app/api/restock-plans/{planId}/items")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.solya.app/api/restock-plans/{planId}/items")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "rsi-uuid-001",
"quantity": 12,
"shopId": "shop-uuid-paris-opera",
"sizeId": "sz-uuid-43",
"status": "TO_REVIEW",
"variantId": "var-uuid-adidas-stan"
}
],
"total": 1,
"totals": {
"currentInventoryQty": 5,
"currentInventoryValue": 225,
"totalCost": 540,
"totalQty": 12
}
}Restock
List restock plan items
Returns a paginated list of items in a restock plan with optional text and multi-dimensional filtering.
GET
/
api
/
restock-plans
/
{planId}
/
items
List restock plan items
curl --request GET \
--url https://app.solya.app/api/restock-plans/{planId}/items \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.solya.app/api/restock-plans/{planId}/items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.solya.app/api/restock-plans/{planId}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.solya.app/api/restock-plans/{planId}/items",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.solya.app/api/restock-plans/{planId}/items"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.solya.app/api/restock-plans/{planId}/items")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.solya.app/api/restock-plans/{planId}/items")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "rsi-uuid-001",
"quantity": 12,
"shopId": "shop-uuid-paris-opera",
"sizeId": "sz-uuid-43",
"status": "TO_REVIEW",
"variantId": "var-uuid-adidas-stan"
}
],
"total": 1,
"totals": {
"currentInventoryQty": 5,
"currentInventoryValue": 225,
"totalCost": 540,
"totalQty": 12
}
}Authorizations
User session token issued by NextAuth. For human users accessing Solya via the web application.
Path Parameters
Restock plan identifier
Minimum string length:
1Query Parameters
Free-text search across product name, variant, size and SKU
Comma-separated brand IDs to filter by
Comma-separated product IDs to filter by
Comma-separated size IDs to filter by
Page number, starting from 1
Number of items per page

